
TextCritical.net - Feature #2650

Feature # 2632 (Closed): Conversion to React-Semantic

Feature # 2653 (Closed): Setup The Basics

Setup CI/CD

04/14/2020 07:16 PM - Luke Murphey

Status: Closed Start date: 04/14/2020

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 4.0   

Description

History

#1 - 04/14/2020 08:30 PM - Luke Murphey

- Parent task changed from #2632 to #2653

#2 - 04/20/2020 05:27 AM - Luke Murphey

Error is:

Support for the experimental syntax 'decorators-legacy' isn't currently enabled

 

Qs: *

Obs: *

Solns:

Try adding to webpack config

    ['@babel/plugin-proposal-decorators', { legacy: true }],

    ['@babel/plugin-proposal-class-properties', { loose: true }],

Module name mapper

https://github.com/facebook/jest/issues/3094

That seems to have fixed it

Refs:

https://stackoverflow.com/questions/52262084/syntax-error-support-for-the-experimental-syntax-decorators-legacy-isnt-cur *
https://github.com/facebook/jest/issues/3094
https://stackoverflow.com/questions/52262084/syntax-error-support-for-the-experimental-syntax-decorators-legacy-isnt-cur


#3 - 04/20/2020 05:32 AM - Luke Murphey

Now getting "ReferenceError: fetch is not defined"

Solns:

Mock fetch: https://stackoverflow.com/questions/36069731/how-to-unit-test-api-calls-with-mocked-fetch-in-react-native-with-jest *

#4 - 04/20/2020 05:47 AM - Luke Murphey

Error:

 info it worked if it ends with ok

1 verbose cli [ '/usr/bin/node', '/usr/bin/npm', 'run', 'build' ]

2 info using npm@6.13.7

3 info using node@v13.11.0

4 verbose run-script [ 'prebuild', 'build', 'postbuild' ]

5 info lifecycle textcritical_spa@1.0.0~prebuild: textcritical_spa@1.0.0

6 info lifecycle textcritical_spa@1.0.0~build: textcritical_spa@1.0.0

7 verbose lifecycle textcritical_spa@1.0.0~build: unsafe-perm in lifecycle true

8 verbose lifecycle textcritical_spa@1.0.0~build: PATH: /usr/lib/node_modules/npm/node_modules/npm-lifecycle/n

ode-gyp-bin:/var/lib/go-agent/pipelines/textcritical-spa/node_modules/.bin:/usr/local/sbin:/usr/local/bin:/usr

/sbin:/usr/bin:/sbin:/bin

9 verbose lifecycle textcritical_spa@1.0.0~build: CWD: /var/lib/go-agent/pipelines/textcritical-spa

10 silly lifecycle textcritical_spa@1.0.0~build: Args: [ '-c', 'webpack --mode production --config webpack.pro

d.js' ]

11 info lifecycle textcritical_spa@1.0.0~build: Failed to exec build script

12 verbose stack Error: textcritical_spa@1.0.0 build: `webpack --mode production --config webpack.prod.js`

12 verbose stack spawn ENOENT

12 verbose stack     at ChildProcess.<anonymous> (/usr/lib/node_modules/npm/node_modules/npm-lifecycle/lib/spa

wn.js:48:18)

12 verbose stack     at ChildProcess.emit (events.js:315:20)

12 verbose stack     at maybeClose (internal/child_process.js:1026:16)

12 verbose stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:286:5)

13 verbose pkgid textcritical_spa@1.0.0

14 verbose cwd /var/lib/go-agent/pipelines/textcritical-spa

15 verbose Linux 5.4.10-x86_64-linode132

16 verbose argv "/usr/bin/node" "/usr/bin/npm" "run" "build" 

17 verbose node v13.11.0

18 verbose npm  v6.13.7

19 error code ELIFECYCLE

20 error syscall spawn

21 error file sh

22 error errno ENOENT

23 error textcritical_spa@1.0.0 build: `webpack --mode production --config webpack.prod.js`

23 error spawn ENOENT

24 error Failed at the textcritical_spa@1.0.0 build script.

24 error This is probably not a problem with npm. There is likely additional logging output above.

25 verbose exit [ 1, true ]
https://stackoverflow.com/questions/36069731/how-to-unit-test-api-calls-with-mocked-fetch-in-react-native-with-jest


#5 - 04/20/2020 05:47 AM - Luke Murphey

- % Done changed from 0 to 50

#6 - 04/20/2020 05:50 AM - Luke Murphey

- % Done changed from 50 to 70

#7 - 04/20/2020 05:19 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 70 to 100
